stages:
  - build
  - test
  - coverage

variables:
  CTEST_OUTPUT_ON_FAILURE: 1

include:
  - local: '/.gitlab-ci/gcc8-seq-dbg.yml'
  - local: '/.gitlab-ci/gcc8-seq-release.yml'
#  - local: '/.gitlab-ci/gcc8-seq-coverage.yml'
  - local: '/.gitlab-ci/clang8-seq-release.yml'
  - local: '/.gitlab-ci/clang8-mpi-release.yml'
  - local: '/.gitlab-ci/clang8-seq-coverage.yml'
  - local: '/.gitlab-ci/clang8-mpi-coverage.yml'
